<template>
  <!-- 销售计划页面 -->
  <div class="salePlan" id="exportPdf" ref="exportPdf">
    <div class="top">
      <el-input placeholder="请输入内容" v-model="input" clearable> </el-input>
      <el-button type="primary" class="btn" @click="onclick">
        <i class="el-icon-search"></i>查询
      </el-button>
      <el-button type="primary" @click="btnclick(0)">
        <i class="el-icon-plus"></i>新增
      </el-button>
    </div>

    <dilTable v-bind.sync="option">
      <el-table-column fixed="right" label="操作" width="200">
        <template slot-scope="scope">
          <el-button @click="clickAddDetail(scope.row.planId)" type="text" size="small"
            >查看计划物资信息</el-button
          >
          <el-button @click="click(scope.row.planId)" type="text" size="small"
            >修改</el-button
          >
          <el-button
            type="text"
            size="small"
            @click="deleteclick(scope.row.planId)"
            >删除</el-button
          >
        </template>
      </el-table-column>
    </dilTable>
  </div>
</template>


<script>
export default {
  name: "salePlan",
  data() {
    return {
      input: "",
      option: {
        // 表格请求数据的地址
        requestUrl:
        "/api/v1/ams/getSalePlanInfo?apiId=230",
      },
    };
  },
  methods: {
    onclick() {
      this.option.requestUrl = "/api/v1/ams/getSalePlanInfo?apiId=230&con="+this.input;
    },
    btnclick() {
      this.$router.push("/addSalePlan");
    },
    clickAddDetail(planId){
      this.$router.push("/addSalePlanDetail/" + planId);
    },
    click(planId) {
      this.$router.push("/editSalePlan/" + planId);
    },
    deleteclick(scope) {
      let planId = scope;
      this.$confirm("是否删除", "提示", {
        confirmButtonText: "确定",
        cancelButtonText: "取消",
        type: "warning",
        center: true,
      })
        .then(() => {
          this.$message({
            type: "success",
            message: "删除成功!",
          });
          this.axios
            .post(
              "/api/v1/ams/deleteAmsSalePlanByPlanId?planId=" +
                planId
            )
            .then(() => {
              this.$router.go(0);
            });
        })
        .catch(() => {
          this.$message({
            type: "info",
            message: "取消删除!",
          });
        });
    },
  },
};
</script>
<style lang='scss' scoped>
.salePlan {
  .top {
    padding: 1.25rem 1.875rem;
  }
}
</style>